# Name: xdp/interpolate/__init__.py
# Purpose: XDP interpolation algorithms package
# Author: Ken McIvor <mcivken@iit.edu>
#
# Copyright 2003-2004 Illinois Institute of Technology
#
# See the file "LICENSE" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.

"""
Functions implementing various data interpolation algorithms.
 - L{lint}: linear interpolation
 - L{stat_lint}: linear interpolation with statistical preservation
 - L{bint}: sliding-window Bezier curve interpolation
"""


from linear import lint
from bezier import bint
from stat_linear import stat_lint
